// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    ext.kotlin_version = '1.8.22'//1.4.20//1.5.31

    ext {
        // UI components
        lottieVersion = '3.4.0'
        lifecycle = '2.2.0'
        koin = '2.1.6'//2.0.1//
        // Images
        glide = '4.11.0'
      //  piccasso = '2.71828'
        coil = '1.4.0'//0.9.5
    }
    repositories {
        google()
      mavenCentral() //jcenter()
        
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:7.0.4'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath 'com.google.gms:google-services:4.3.10'
        classpath 'com.google.firebase:firebase-crashlytics-gradle:2.8.1'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}
plugins {
    id 'com.google.devtools.ksp' version '1.8.21-1.0.11' apply false
}
allprojects {
    repositories {
        google()
        mavenCentral()//jcenter()//
        maven{url 'https://jitpack.io'}
     /*   maven {
            name "linphone.org maven repository"
            url "https://linphone.org/maven_repository/"
            content {
                includeGroup "org.linphone"
            }
        }*/
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

